//The VQ3-2k Textures and Shaders are just slightly modified files - to fit the Map :) from the following sources:
//(C)id Software tm
//Kiltron - http://www.planetquake.com/meanarena - Thanx Guy - you're work is great :)
//Pete 'Meat' Parisi - www.badmeat.com - Same here - got huge inspiration from his very delicate unique Texture Sets - Big Thanx 4 permission to use  //your Textures as Bases :)
//The VR-Magazine - http://www.vrmagazine.com/index.shtml

//Some of the Textures are completely new from /me others are re-assembled Textures from the above listed roots

textures/vq3/alien_wall_alpha
{
	qer_editorimage textures/vq3/alien_wall.tga

	{
		map textures/vq3/alien_wall.tga
		rgbGen identity
	}
	{
		map textures/base_wall/chrome_env.jpg
		blendfunc filter
		tcGen environment
		rgbGen identity
	}
	{
		map textures/vq3/alien_wall.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/vq3/banner
{
	nopicmip
	qer_editorimage textures/vq3/banner.tga
	q3map_lightimage textures/vq3/welcome.tga
	q3map_surfacelight 80

	{
		animMap 0.15 textures/vq3/welcome.tga textures/vq3/banner.tga textures/vq3/visit.tga textures/vq3/url.tga
		rgbGen wave triangle 2 2 2 .9
	}
	{
		map textures/sfx/snow.jpg
		blendfunc add
		rgbGen identity
		tcmod scroll 0.4 0.56
	}
	{
		map textures/sfx/snow.jpg
		blendfunc add
		rgbGen identity
		tcmod scroll 0.2 0.6
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}

textures/vq3/killblockgeomtrn_vq3
{
	qer_editorimage textures/gothic_block/killblockgeomtrn.tga

	{
		map textures/liquids/proto_grueldark2.tga
		tcmod scroll 0 1
		tcMod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
		tcmod rotate 30
		tcMod stretch sin .8 0.2 0 .2
		rgbGen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
		tcmod rotate 20
		tcMod stretch sin .8 0.2 0 .1
		rgbGen identity
	}
	{
		map textures/gothic_block/killblockgeomtrn.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/vq3/kilt_conc_tekfloor_glass
{
	cull none
	surfaceparm alphashadow
	surfaceparm metalsteps

	{
		map textures/effects/regenmap2.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
	{
		map textures/vq3/kilt_conc_tekfloor_glass.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/vq3/kilt_techbarsfx
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided

	{
		map textures/vq3/kilt_techbarsfx.tga
		tcGen environment
		tcMod turb 0 0.25 0 0.5
		tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/vq3/light
{
	qer_editorimage textures/base_light/light1.tga
	q3map_lightimage textures/vq3/vq3_light_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 800

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vq3/vq3_light_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/vq3/pipetech_small
{
	qer_editorimage textures/vq3/pipetech_small.tga
	q3map_surfacelight 225
	q3map_lightimage textures/vq3/pipetech_gl_small.tga
	light 1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vq3/pipetech_small.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vq3/pipetech_gl_small.tga
		rgbGen wave sin .40 1 0 .2
		blendfunc GL_DST_ALPHA GL_DST_ALPHA
	}
}

textures/vq3/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/vq3/ik_sky_day_front.tga
	q3map_lightimage textures/skies/toxicsky.tga
	q3map_sun 0.863 0.576 0.255 55 280 70
	q3map_surfacelight 130
	skyparms - 512 -

	{
		map textures/vq3/ik_sky_night_back.tga
		tcMod scale 2 2
		tcMod scroll 0.1 0.01
		depthWrite
	}
	{
		map textures/vq3/ik_sky_day_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.2 0.05
	}
}

textures/vq3/tongue_bone
{
	q3map_lightimage textures/vq3/tongue_bone_fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1400
	light 1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vq3/tongue_bone.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/vq3/tongue_bone_fx.tga
		blendFunc add
		rgbgen wave sin .575 .025 0 10
	}
}

textures/vq3/tv
{
	nopicmip
	qer_editorimage textures/vq3/kilt_bigscreen.tga
	q3map_surfacelight 100

	{
		animMap .25 textures/vq3/pic_sk.tga textures/vq3/pic_gmc.tga textures/vq3/pic_vq3.tga textures/vq3/pic_oehm.tga textures/vq3/pic_elite.tga
		rgbGen wave sin 0 1 0 .25
	}
	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25
	}
	{
		map textures/vq3/fx_gold.tga
		tcgen environment
		tcmod scale .1 .1
		blendfunc add
		rgbgen wave triangle .5 .05 0 .25
	}
	{
		map textures/vq3/kilt_bigscreen.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/vq3/vert_pipe1_alpha
{

	{
		map textures/sfx/hologirl.tga
		tcmod scale 8 .4
		tcmod scroll 1 .4
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/vq3/vert_pipe1_alpha.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/vq3/vq3_fog
{
	qer_editorimage textures/sfx/fog_red.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 120
	fogparms ( 0.502 0.000 0.000 ) 450

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .02 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.02
		rgbgen identity
	}
}

textures/vq3/vq3_item
{
	qer_editorimage textures/vq3/vq3_item.tga

	{
		map textures/vq3/fx_gold.jpg
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/vq3/vq3_item.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/vq3/vq3_jump
{
	q3map_lightimage textures/vq3/vq3_jump_fx.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vq3/vq3_jump.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vq3/vq3_jump_fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .3 .4 0 0.5
	}
}

textures/vq3/vq3_q3redflag
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7

	{
		map textures/vq3/vq3_q3redflag.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/vq3/vq3_wire02a_proto
{
	nopicmip
	qer_editorimage textures/vq3/vq3_wire02a_alpha.tga
	q3map_surfacelight 70

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vq3/vq3_wire02a_alpha.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/vq3/vq3_wire02a_alpha.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/vq3/vq3_wire02a_alpha.tga
		blendFunc GL_ONE GL_ZERO
		tcmod scale 2 2
		tcMod scroll .01 .03
		tcMod turb 0 0.09 0 .06
	}
	{
		map textures/vq3/pipetech_mesh.tga
		rgbGen wave sawtooth 1.78 9 6 6
		tcMod scroll 0.04 0.3
		blendfunc GL_ONE GL_ONE
	}
}

textures/vq3/window_pitted_alpha
{
	q3map_lightimage textures/vq3/window_pitted_alpha.tga
	q3map_surfacelight 100

	{
		map textures/vq3/fx_gold.jpg
		tcmod scale .1 .1
		tcmod scroll 1 .2
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/vq3/window_pitted_alpha.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}
